Subject: Re: gitk with submodules does not show new commits on other branches

From: Jens Lehmann <[email-masked]>
Date: Mon, 23 Jun 2014 21:30:47 +0200

Am 23.06.2014 20:24, schrieb Stephen Kelly:
> Stephen Kelly wrote:
> 
>> I see that gitk is showing the output of git diff --submodule, similar to
>> git submodule summary.

Right, and for your use case --submodule would have to learn a
different value in addition to 'log' and 'short'. And the default
is already configurable via the 'diff.submodule' config option.

>> Assuming that is not going to be changed, maybe I can hack
>> parseblobdiffline locally. I have not really tried to read of write tcl
>> code before though, so I'd still prefer a 'proper' solution somehow.

I'd prefer a proper solution too, which is exactly why I tried
to understand your use case first before speculating about how
it could be solved.

> I dug deeper and came up with this patch which suits my needs:
> 
> diff --git a/submodule.c b/submodule.c
> index b80ecac..0dacd61 100644
> --- a/submodule.c
> +++ b/submodule.c
> @@ -297,7 +297,7 @@ static int prepare_submodule_summary(struct rev_info 
> *rev, const char *path,
>         init_revisions(rev, NULL);
>         setup_revisions(0, NULL, rev, NULL);
>         rev->left_right = 1;
> -       rev->first_parent_only = 1;
> +  rev->max_parents = 1;
>         left->object.flags |= SYMMETRIC_LEFT;
>         add_pending_object(rev, &left->object, path);
>         add_pending_object(rev, &right->object, path);
> 
> 
> The 'merge pull request' merges are only noise to me.

Yup, I think that's the core of the change necessary to help
your workflow.